package com.zhentao.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResultVo<T> implements Serializable {
    private static final long serialVersionUID = 1L;

    private String code;
    private String msg;
    private T data;

    // 成功返回方法
    public static <T> ResultVo<T> success(T data) {
        return new ResultVo<>("200", "成功", data);
    }

    public static <T> ResultVo<T> success(String msg, T data) {
        return new ResultVo<>("200", msg, data);
    }

    // 失败返回方法
    public static <T> ResultVo<T> failure(String code, String msg) {
        return new ResultVo<>(code, msg, null);
    }

    public static <T> ResultVo<T> failure(String msg) {
        return new ResultVo<>("1002", msg, null);
    }
}
